Tag: Gradle

Error al recuperar el elemento primario: No se encontró ningún recurso que coincida con el nombre dado después de actualizar a AppCompat v23

Siempre he programado Android con Eclipse y decidí comenzar a migrar a Android Studio . Decidí usar el mismo SDK que ya tenía para Eclipse, entonces: Empezó un nuevo proyecto Establecer SDK mínimo 4.0 (API nivel 14) Seleccione la opción Actividad en blanco Nombres predeterminados usados ​​para el nombre de la actividad y el nombre […]

No se encuentra el método Gradle DSL: 'runProguard'

Recibo un error después de actualizar desde mi último proyecto. No es un problema en mi código, pero estoy teniendo problemas con build.gradle. ¿Cómo puedo arreglarlo? Build.gradle código aquí: apply plugin: 'android' android { compileSdkVersion 21 buildToolsVersion '20.0.0' packagingOptions { exclude 'META-INF/DEPENDENCIES' exclude 'META-INF/LICENSE' exclude 'META-INF/LICENSE.txt' exclude 'META-INF/license.txt' exclude 'META-INF/NOTICE' exclude 'META-INF/NOTICE.txt' exclude 'META-INF/notice.txt' exclude […]

Cómo incluir manualmente el paquete aar externo usando el nuevo sistema de generación de Android de Gradle

He estado experimentando con el nuevo sistema de compilación android y me he encontrado con un pequeño problema. He compilado mi propio paquete aar de ActionBarSherlock que he llamado 'actionbarsherlock.aar'. Lo que estoy tratando de hacer es realmente utilizar este aar para construir mi APK final. Si incluyo toda la biblioteca de ActionBarSherlock como un […]

Cómo crear una versión firmada apk archivo utilizando Gradle?

Me gustaría tener mi Gradle construir para crear una versión firmado apk archivo utilizando Gradle. No estoy seguro de si el código es correcto o si me falta un parámetro al hacer gradle build ? Esto es parte del código en mi archivo gradle: android { … signingConfigs { release { storeFile file("release.keystore") storePassword "******" […]

"Gradle Version 2.10 es necesario." Error

Como he estado usando classpath 'com.android.tools.build:gradle:+' En el archivo build.gradle , obtuve el siguiente error desde que se ha publicado la versión grad10 2.10 . El error es: Advertencia: se requiere la versión Grad10 2.10. La versión actual es 2.8. Si utiliza el gradle wrapper, intente editar la distributionUrl en C: \ Users \ blahblah […]

Android Studio – sin aplicaciones debugables

He intentado depurar una versión de mi aplicación Android, pero Android Studio no pudo adjuntar un depurador. (No encontré los procces de Android de mi aplicación en ejecución). En la consola de dispositivos, sólo había un mensaje: No hay aplicaciones debugables

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.